Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class CommandSetSpawnpoint

    java.lang.Object
      net.minecraft.src.CommandBase
          net.minecraft.src.CommandSetSpawnpoint

All Implemented Interfaces:
  Comparable, ICommand

    public class CommandSetSpawnpoint

extends CommandBase

Constructor Summary
`CommandSetSpawnpoint()`

Method Summary
`List` | `addTabCompletionOptions(ICommandSender par1ICommandSender, String[] par2ArrayOfStr)` Adds the strings available in this command to the given list of tab completion options.
`boolean` | `func_82358_a(int par1)`
`int` | `func_82362_a()`
`String` | `getCommandName()`
`String` | `getCommandUsage(ICommandSender par1ICommandSender)`
`void` | `processCommand(ICommandSender par1ICommandSender, String[] par2ArrayOfStr)`

Methods inherited from class net.minecraft.src.CommandBase
`canCommandSenderUseCommand, compareNameTo, compareTo, doesStringStartWith, func_82359_c, func_82360_a, func_82361_a, func_82363_b, getCommandAliases, getCommandSenderAsPlayer, getListOfStringsFromIterableMatchingLastWord, getListOfStringsMatchingLastWord, joinNiceString, notifyAdmins, notifyAdmins, parseInt, parseIntBounded, parseIntWithMin, setAdminCommander`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommandSetSpawnpoint

    public CommandSetSpawnpoint()

Method Detail

### getCommandName

    public String getCommandName()

### func_82362_a

    public int func_82362_a()

  Overrides:
    `func_82362_a` in class `CommandBase`

### getCommandUsage

    public String getCommandUsage(ICommandSender par1ICommandSender)

  Specified by:
    `getCommandUsage` in interface `ICommand`
  Overrides:
    `getCommandUsage` in class `CommandBase`

### processCommand

    public void processCommand(ICommandSender par1ICommandSender,
                               String[] par2ArrayOfStr)

### addTabCompletionOptions

    public List addTabCompletionOptions(ICommandSender par1ICommandSender,
                                        String[] par2ArrayOfStr)

  Adds the strings available in this command to the given list of tab completion options.

  Specified by:
    `addTabCompletionOptions` in interface `ICommand`
  Overrides:
    `addTabCompletionOptions` in class `CommandBase`

### func_82358_a

    public boolean func_82358_a(int par1)

  Specified by:
    `func_82358_a` in interface `ICommand`
  Overrides:
    `func_82358_a` in class `CommandBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD